Bug 1449521 - CVE-2017-8361 CVE-2017-8362 CVE-2017-8363 CVE-2017-8365 libsndfile: various flaws [fedora-all]
Summary: CVE-2017-8361 CVE-2017-8362 CVE-2017-8363 CVE-2017-8365 libsndfile: various f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsndfile
Version: 25
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-8361 CVE-2017-8362 CVE-2017-8365 CVE-2017-8363
TreeView+ depends on / blocked
 
Reported: 2017-05-10 08:28 UTC by Andrej Nemec
Modified: 2017-06-15 08:20 UTC (History)
2 users (show)

Fixed In Version: libsndfile-1.0.28-2.fc26 libsndfile-1.0.28-2.fc25 libsndfile-1.0.28-2.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:27:22 UTC
Type: ---


Attachments (Terms of Use)

Description Andrej Nemec 2017-05-10 08:28:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-05-10 08:28:34 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1449518,1449519,1449520

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Andrej Nemec 2017-06-05 08:57:53 UTC
Adding parent bug 1458694 (for CVE-2017-8363).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1449521,1449518,1449519,1449520,1458694

# Description of your update
notes=Security fix for CVE-2017-8361, CVE-2017-8362, CVE-2017-8365, CVE-2017-8363

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Fedora Update System 2017-06-05 14:35:36 UTC
libsndfile-1.0.28-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-abbac6c64b

Comment 4 Fedora Update System 2017-06-05 14:35:46 UTC
libsndfile-1.0.28-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6959bc910

Comment 5 Fedora Update System 2017-06-05 14:35:53 UTC
libsndfile-1.0.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a3d6e1a7bf

Comment 6 Fedora Update System 2017-06-05 19:06:38 UTC
libsndfile-1.0.28-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6959bc910

Comment 7 Fedora Update System 2017-06-06 05:02:52 UTC
libsndfile-1.0.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a3d6e1a7bf

Comment 8 Fedora Update System 2017-06-06 05:05:20 UTC
libsndfile-1.0.28-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-abbac6c64b

Comment 9 Fedora Update System 2017-06-09 19:27:22 UTC
libsndfile-1.0.28-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-06-12 21:41:24 UTC
libsndfile-1.0.28-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-06-15 08:20:38 UTC
libsndfile-1.0.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.